# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends

# vl::SayArg Class Reference

Used internally by the Say class. More...

`#include <Say.hpp>`

List of all members.

## Public Member Functions

| SayArg ()
| SayArg (const unsigned char *d)
| SayArg (const std::string &d)
| SayArg (const char *d)
| SayArg (void *d)
| SayArg (const String &d)
| SayArg (double d)
| SayArg (float d)
| SayArg (unsigned char d)
| SayArg (signed char d)
| SayArg (unsigned short d)
| SayArg (signed short d)
| SayArg (unsigned int d)
| SayArg (signed int d)
| SayArg (unsigned long d)
| SayArg (signed long d)
| SayArg (unsigned long long d)
| SayArg (signed long long d)

## Protected Types

enum | { NO_TYPE, STRING, FLOAT64, ULONGLONG, SLONGLONG }

## Protected Member Functions

void | init ()

## Protected Attributes

String | str
double | float64
unsigned long long | ulonglong
signed long long | slonglong
enum vl::SayArg:: { ... } | type

## Friends

class | Say

## Detailed Description

Used internally by the Say class.

Definition at line 44 of file Say.hpp.

## Member Enumeration Documentation

anonymous enum`[protected]`

Enumerator:

  NO_TYPE |
  STRING |
  FLOAT64 |
  ULONGLONG |
  SLONGLONG |

Definition at line 92 of file Say.hpp.

## Constructor & Destructor Documentation

SayArg::SayArg | ( | ) |

Definition at line 37 of file Say.cpp.

References init().

SayArg::SayArg | ( | const unsigned char * | d ) | `[explicit]`

Definition at line 56 of file Say.cpp.

References init(), str, STRING, and type.

SayArg::SayArg | ( | const std::string & | d ) | `[explicit]`

Definition at line 49 of file Say.cpp.

References init(), str, STRING, and type.

SayArg::SayArg | ( | const char * | d ) | `[explicit]`

Definition at line 64 of file Say.cpp.

References init(), str, STRING, and type.

SayArg::SayArg | ( | void * | d ) | `[explicit]`

Definition at line 42 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | const String & | d ) | `[explicit]`

Definition at line 72 of file Say.cpp.

References init(), str, STRING, and type.

SayArg::SayArg | ( | double | d ) | `[explicit]`

Definition at line 79 of file Say.cpp.

References FLOAT64, float64, init(), and type.

SayArg::SayArg | ( | float | d ) | `[explicit]`

Definition at line 86 of file Say.cpp.

References FLOAT64, float64, init(), and type.

SayArg::SayArg | ( | unsigned char | d ) | `[explicit]`

Definition at line 93 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | signed char | d ) | `[explicit]`

Definition at line 100 of file Say.cpp.

References init(), SLONGLONG, slonglong, and type.

SayArg::SayArg | ( | unsigned short | d ) | `[explicit]`

Definition at line 107 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | signed short | d ) | `[explicit]`

Definition at line 114 of file Say.cpp.

References init(), SLONGLONG, slonglong, and type.

SayArg::SayArg | ( | unsigned int | d ) | `[explicit]`

Definition at line 121 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | signed int | d ) | `[explicit]`

Definition at line 128 of file Say.cpp.

References init(), SLONGLONG, slonglong, and type.

SayArg::SayArg | ( | unsigned long | d ) | `[explicit]`

Definition at line 135 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | signed long | d ) | `[explicit]`

Definition at line 142 of file Say.cpp.

References init(), SLONGLONG, slonglong, and type.

SayArg::SayArg | ( | unsigned long long | d ) | `[explicit]`

Definition at line 149 of file Say.cpp.

References init(), type, ULONGLONG, and ulonglong.

SayArg::SayArg | ( | signed long long | d ) | `[explicit]`

Definition at line 156 of file Say.cpp.

References init(), SLONGLONG, slonglong, and type.

## Member Function Documentation

void SayArg::init | ( | ) | `[protected]`

Definition at line 163 of file Say.cpp.

References float64, NO_TYPE, slonglong, type, and ulonglong.

Referenced by SayArg().

## Friends And Related Function Documentation

friend class Say`[friend]`

Definition at line 46 of file Say.hpp.

## Member Data Documentation

String vl::SayArg::str`[protected]`

Definition at line 87 of file Say.hpp.

Referenced by vl::Say::parse(), and SayArg().

double vl::SayArg::float64`[protected]`

Definition at line 88 of file Say.hpp.

Referenced by init(), vl::Say::parse(), and SayArg().

unsigned long long vl::SayArg::ulonglong`[protected]`

Definition at line 89 of file Say.hpp.

Referenced by init(), vl::Say::parse(), and SayArg().

signed long long vl::SayArg::slonglong`[protected]`

Definition at line 90 of file Say.hpp.

Referenced by init(), vl::Say::parse(), and SayArg().

enum { ... } vl::SayArg::type`[protected]`

Referenced by init(), vl::Say::parse(), and SayArg().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Say.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Say.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:36.
Permission is granted to use this page to write and publish articles regarding Visualization Library.